# If you want to make changes to this file, first copy it to
# mediagoblin_local.ini, then make the changes there.
#
# If you don't see what you need here, have a look at mediagoblin/config_spec.ini
# It defines types and defaults so it's a good place to look for documentation
# or to find hidden options that we didn't tell you about. :)

# To change the directory you should make sure you change the
# directory in paste.ini and/or your webserver configuration.
#
# [DEFAULT]
# data_basedir = "/var/lib/mediagoblin"

[mediagoblin]
direct_remote_path = /mgoblin_static/
email_sender_address = "notice@mediagoblin.example.org"

## Uncomment and change to your DB's appropiate setting.
## Default is a local sqlite db "mediagoblin.db".
## Don't forget to run `./bin/gmg dbupdate` after having changed it.
# sql_engine = postgresql:///mediagoblin

# Set to false to enable sending notices
email_debug_mode = true

# Configure the mail server
#email_smtp_host = mailhub
#email_smtp_port = 25

# Set to false to disable registrations
allow_registration = true

# Set to false to disable the ability for users to report offensive content
allow_reporting = true

## Uncomment this to put some user-overriding templates here
# local_templates = %(data_basedir)s/templates/

# Change the date format
#datetime_format = "%I:%M%p %Y-%m-%d"

# Show some more metadata
#original_date_visible = True
#exif_visible = True

## You can set your theme by specifying this (not specifying it will
## use the default theme).  Run `gmg assetlink` to apply the change.
## The airy and sandyseventiesspeedboat theme comes with GMG; please
## see the theming docs on how to install other themes.
# theme = airy

## If you want the terms of service displayed, you can uncomment this
# show_tos = true

user_privilege_scheme = "uploader,commenter,reporter"
[storage:queuestore]
base_dir = %(data_basedir)s/media/queue

[storage:publicstore]
base_dir = %(data_basedir)s/media/public
base_url = /mgoblin_media/

[celery]
# Put celery stuff here

# Place plugins here, each in their own subsection of [plugins].
# See http://docs.mediagoblin.org/siteadmin/plugins.html for details.
[plugins]
[[mediagoblin.plugins.geolocation]]
[[mediagoblin.plugins.basic_auth]]
[[mediagoblin.plugins.processing_info]]
[[mediagoblin.media_types.image]]
